/*
* This file is part of Bielefeld Type Library (BTL).
*
* Copyright(c) Frederic Siepmann
* http://opensource.cit-ec.de/projects/btl
*
* This file may be licensed under the terms of of the
* GNU Lesser General Public License Version 3 (the ``LGPL''),
* or (at your option) any later version.
*
* Software distributed under the License is distributed
* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
* express or implied. See the LGPL for the specific language
* governing rights and limitations.
*
* You should have received a copy of the LGPL along with this
* program. If not, go to http://www.gnu.org/licenses/lgpl.html
* or write to the Free Software Foundation, Inc.,
* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
*
* The development of this software was supported by the
* Excellence Cluster EXC 277 Cognitive Interaction Technology.
* The Excellence Cluster EXC 277 is a grant of the Deutsche
* Forschungsgemeinschaft (DFG) in the context of the German
* Excellence Initiative.
*
* Contributors: Leon Ziegler, Johannes Wienke, Matthias Schröder, Norman Köster,
* 				Lukas Twardon, Torben Töniges, Annika Rothert, Marian Pohling,
* 				Denis Schulze, Viktor Richter, Birte Carlmeyer, Maikel Linke
*/

/*
 * MapPoint.cpp
 *
 *  Created on: Oct 13, 2010
 *      Author: ltwardon
 */

#include "MapPoint.h"

using namespace std;
using namespace airobots;

namespace airobots {

const std::string MapPoint::unitValue[] = {
				"M",
				"CM",
				"MM",
				"NM"};

const std::string MapPoint::kindValue[] = {
				"WORLD",
				"RELATIVE"};

MapPoint::MapPoint() :
	x(0), y(0), kind(MapPoint::WORLD), unit(MapPoint::M), ref("") {

}

MapPoint::MapPoint(double x, double y) :
		x(x), y(y), kind(MapPoint::WORLD), unit(MapPoint::M), ref("") {

}

MapPoint::MapPoint(double x, double y, MapPoint::Kind kind, MapPoint::Unit unit, string ref) :
		x(x), y(y), kind(kind), unit(unit), ref(ref) {

}

MapPoint::~MapPoint() {

}

double MapPoint::getX() const {
	return x;
}

void MapPoint::setX(double x) {
	this->x = x;
}

double MapPoint::getY() const {
	return y;
}

void MapPoint::setY(double y) {
	this->y = y;
}

MapPoint::Kind MapPoint::getKind() const {
	return kind;
}

void MapPoint::setKind(MapPoint::Kind kind) {
	this->kind = kind;
}

MapPoint::Unit MapPoint::getUnit() const {
	return unit;
}

void MapPoint::setUnit(MapPoint::Unit unit) {
	this->unit = unit;
}

std::string MapPoint::getRef() const {
	return ref;
}

void MapPoint::setRef(std::string ref) {
	this->ref = ref;
}

}
